#!/bin/sh

pid=/tmp/pocketbase.pid

case $1 in
  stop)
    test -f "${pid}" || exit 0
    cat "${pid}" | xargs kill
    rm "${pid}"
    ;;
  *)
    test -f "${pid}" && exit 1

    daemonize -c /srv/pocketbase -p $pid -u nobody \
      /usr/local/bin/syslogize \
        /usr/bin/pocketbase serve \
          --http [::]:8090 \
          --automigrate \
          --dir /srv/pocketbase/data \
          --migrationsDir /srv/pocketbase/migrations \
          --publicDir /srv/pocketbase/public \
          --hooksDir /srv/pocketbase/hooks \
          --encryptionEnv POCKETBASE_SECRET \
          --origins "${POCKETBASE_ORIGINS:-*}"
  ;;
esac
